version: '3.9'

services:
  app:
    container_name: nestjs_api_dev
    # image: nestjs-api-dev
    build:
      context: .
      target: development
      dockerfile: ./docker/Dockerfile
    command: npm run start:debug
    ports:
      - 3000:3000
    volumes:
      - .:/usr/src/app
      - /usr/src/app/node_modules
    restart: unless-stopped

  mongodb:
    image: mongo
    ports:
    - "27018:27017"
    restart: always
    # env_file:
    #  - dev.env
    environment:
      MONGO_INITDB_ROOT_USERNAME: ${MONGO_INITDB_ROOT_USERNAME}
      MONGO_INITDB_ROOT_PASSWORD: ${MONGO_INITDB_ROOT_PASSWORD}
      MONGO_INITDB_DATABASE: ${MONGO_INITDB_DATABASE}
